Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class EntityManagerFactory

    java.lang.Object
      org.jboss.seam.persistence.EntityManagerFactory

    @Scope(value=APPLICATION)
    @BypassInterceptors
    @Startup
    public class EntityManagerFactory

extends Object

A Seam component that bootstraps an EntityManagerFactory, for use of JPA outside of Java EE 5 / Embedded JBoss.

Author:
  Gavin King

Constructor Summary
`EntityManagerFactory()`

Method Summary
`protected javax.persistence.EntityManagerFactory` | `createEntityManagerFactory()`
`javax.persistence.EntityManagerFactory` | `getEntityManagerFactory()`
`String` | `getPersistenceUnitName()` The persistence unit name
`Map<String,String>` | `getPersistenceUnitProperties()` Properties to pass to Persistence.createEntityManagerFactory()
`void` | `setPersistenceUnitName(String persistenceUnitName)`
`void` | `setPersistenceUnitProperties(Map<String,String> persistenceUnitProperties)`
`void` | `shutdown()`
`void` | `startup(Component component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityManagerFactory

    public EntityManagerFactory()

Method Detail

### getEntityManagerFactory

    @Unwrap
    public javax.persistence.EntityManagerFactory getEntityManagerFactory()

### startup

    @Create
    public void startup(Component component)
                 throws Exception

  Throws:
    `Exception`

### shutdown

    @Destroy
    public void shutdown()

### createEntityManagerFactory

    protected javax.persistence.EntityManagerFactory createEntityManagerFactory()

### getPersistenceUnitName

    public String getPersistenceUnitName()

  The persistence unit name

### setPersistenceUnitName

    public void setPersistenceUnitName(String persistenceUnitName)

### getPersistenceUnitProperties

    public Map<String,String> getPersistenceUnitProperties()

  Properties to pass to Persistence.createEntityManagerFactory()

### setPersistenceUnitProperties

    public void setPersistenceUnitProperties(Map<String,String> persistenceUnitProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.